package com.dgtly.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.dgtly.common.annotation.Excel;
import com.dgtly.common.core.domain.BaseEntity;
import java.util.Date;

/**
 * 磁贴信息对象 sys_model_layout
 * 
 * @author dgtly
 * @date 2019-10-30
 */
public class SysModelLayout extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 用户标识 */
    private Long userId;

    /** 应用程序标识是系统菜单为m且父id为0的菜单id */
    private Long menuId;

    /** 所在行 */
    private Long row;

    /** 所在列 */
    private Long col;

    /** 跨行  0表示未放置 */
    private Long rowSpan;

    /** 跨列 0表示未放置 */
    private Long colSpan;

    /** 磁贴背景颜色 */
    private String bgColor;

    /** 磁贴字体颜色 */
    private String titleColor;

    /** 标题位置 */
    private String titlePosition;

    /** 标题字体大小 */
    private String titleFontSize;

    /** 标题对齐方式 */
    private String titleAlign;

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Long getMenuId() {
        return menuId;
    }

    public void setMenuId(Long menuId) {
        this.menuId = menuId;
    }

    public Long getRow() {
        return row;
    }

    public void setRow(Long row) {
        this.row = row;
    }

    public Long getCol() {
        return col;
    }

    public void setCol(Long col) {
        this.col = col;
    }

    public Long getRowSpan() {
        return rowSpan;
    }

    public void setRowSpan(Long rowSpan) {
        this.rowSpan = rowSpan;
    }

    public Long getColSpan() {
        return colSpan;
    }

    public void setColSpan(Long colSpan) {
        this.colSpan = colSpan;
    }

    public String getBgColor() {
        return bgColor;
    }

    public void setBgColor(String bgColor) {
        this.bgColor = bgColor;
    }

    public String getTitleColor() {
        return titleColor;
    }

    public void setTitleColor(String titleColor) {
        this.titleColor = titleColor;
    }

    public String getTitlePosition() {
        return titlePosition;
    }

    public void setTitlePosition(String titlePosition) {
        this.titlePosition = titlePosition;
    }

    public String getTitleFontSize() {
        return titleFontSize;
    }

    public void setTitleFontSize(String titleFontSize) {
        this.titleFontSize = titleFontSize;
    }

    public String getTitleAlign() {
        return titleAlign;
    }

    public void setTitleAlign(String titleAlign) {
        this.titleAlign = titleAlign;
    }

    @Override
    public String toString() {
        return "SysModelLayout{" +
                "userId=" + userId +
                ", menuId=" + menuId +
                ", row=" + row +
                ", col=" + col +
                ", rowSpan=" + rowSpan +
                ", colSpan=" + colSpan +
                ", bgColor='" + bgColor + '\'' +
                ", titleColor='" + titleColor + '\'' +
                ", titlePosition='" + titlePosition + '\'' +
                ", titleFontSize='" + titleFontSize + '\'' +
                ", titleAlign='" + titleAlign + '\'' +
                '}';
    }
}
